# Class ServerStats

java.lang.Object
org.apache.zookeeper.server.ServerStats

public class ServerStats extends Object
Basic Server Statistics

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`ServerStats.Provider`

## Constructor Summary

Constructors
Constructor
Description
`ServerStats(ServerStats.Provider provider)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getAuthFailedCount()`
`double`
`getAvgLatency()`
`BufferStats`
`getClientResponseStats()`
`long`
`getDataDirSize()`
`long`
`getFsyncThresholdExceedCount()`
`long`
`getLastProcessedZxid()`
`long`
`getLogDirSize()`
`long`
`getMaxLatency()`
`long`
`getMinLatency()`
`long`
`getNonMTLSLocalConnCount()`
`long`
`getNonMTLSRemoteConnCount()`
`int`
`getNumAliveClientConnections()`
The number of client connections alive to this server
`long`
`getOutstandingRequests()`
`long`
`getPacketsReceived()`
`long`
`getPacketsSent()`
`String`
`getServerState()`
`long`
`getUptime()`
`void`
`incrementAuthFailedCount()`
`void`
`incrementFsyncThresholdExceedCount()`
`void`
`incrementNonMTLSLocalConnCount()`
`void`
`incrementNonMTLSRemoteConnCount()`
`void`
`incrementPacketsReceived()`
`void`
`incrementPacketsSent()`
`boolean`
`isProviderNull()`
`void`
`reset()`
`void`
`resetAuthFailedCount()`
`void`
`resetFsyncThresholdExceedCount()`
`void`
`resetLatency()`
`void`
`resetMaxLatency()`
`void`
`resetNonMTLSLocalConnCount()`
`void`
`resetNonMTLSRemoteConnCount()`
`void`
`resetRequestCounters()`
`String`
`toString()`
`void`
`updateClientResponseSize(int size)`
`void`
`updateLatency(Request request, long currentTime)`
Update request statistic.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ServerStats

public ServerStats(ServerStats.Provider provider)

## Method Details

### getMinLatency

public long getMinLatency()

### getAvgLatency

public double getAvgLatency()

### getMaxLatency

public long getMaxLatency()

### getOutstandingRequests

public long getOutstandingRequests()

### getLastProcessedZxid

public long getLastProcessedZxid()

### getDataDirSize

public long getDataDirSize()

### getLogDirSize

public long getLogDirSize()

### getPacketsReceived

public long getPacketsReceived()

### getPacketsSent

public long getPacketsSent()

### getServerState

public String getServerState()

### getNumAliveClientConnections

public int getNumAliveClientConnections()
The number of client connections alive to this server

### getUptime

public long getUptime()

### isProviderNull

public boolean isProviderNull()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### updateLatency

public void updateLatency(Request request, long currentTime)
Update request statistic. This should only be called from a request that originated from that machine.

### resetLatency

public void resetLatency()

### resetMaxLatency

public void resetMaxLatency()

### incrementPacketsReceived

public void incrementPacketsReceived()

### incrementPacketsSent

public void incrementPacketsSent()

### resetRequestCounters

public void resetRequestCounters()

### getFsyncThresholdExceedCount

public long getFsyncThresholdExceedCount()

### incrementFsyncThresholdExceedCount

public void incrementFsyncThresholdExceedCount()

### resetFsyncThresholdExceedCount

public void resetFsyncThresholdExceedCount()

### getNonMTLSLocalConnCount

public long getNonMTLSLocalConnCount()

### incrementNonMTLSLocalConnCount

public void incrementNonMTLSLocalConnCount()

### resetNonMTLSLocalConnCount

public void resetNonMTLSLocalConnCount()

### getNonMTLSRemoteConnCount

public long getNonMTLSRemoteConnCount()

### incrementNonMTLSRemoteConnCount

public void incrementNonMTLSRemoteConnCount()

### resetNonMTLSRemoteConnCount

public void resetNonMTLSRemoteConnCount()

### getAuthFailedCount

public long getAuthFailedCount()

### incrementAuthFailedCount

public void incrementAuthFailedCount()

### resetAuthFailedCount

public void resetAuthFailedCount()

### reset

public void reset()

### updateClientResponseSize

public void updateClientResponseSize(int size)

### getClientResponseStats

public BufferStats getClientResponseStats()